package repos

import (
	"context"
	"gralias/models"
)

type JournalRepo interface {
	JournalByRoomID(ctx context.Context, roomID string) ([]models.Journal, error)
	JournalCreate(ctx context.Context, action *models.Journal) error
	JournalDeleteByRoomID(ctx context.Context, roomID string) error
}
